interface Options {
    projectRoot: string;
    imageBaseURL: string;
    cfgOutputDir?: string;
    useHyCSS?: boolean;
}
interface ProdOptions extends Options {
    mode: 'production';
    filterModulesPath: string;
}
interface DevOptions extends Options {
    mode: 'dev';
    filterModulesPath?: string;
}
export default function generateBasicConfig(options: ProdOptions | DevOptions): string;
export {};
