"use strict";
/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const assetPathUtils_1 = __importDefault(require("./assetPathUtils"));
function getAssetDestPathAndroid(asset, scale) {
    const androidFolder = assetPathUtils_1.default.getAndroidResourceFolderName(asset, scale);
    const fileName = assetPathUtils_1.default.getAndroidResourceIdentifier(asset);
    return path_1.default.join(androidFolder, `${fileName}.${asset.type}`);
}
exports.default = getAssetDestPathAndroid;
